Name:		yuicompressor
Version:	2.4.8
Release:        %mkrel 6
Summary:	YUI Compressor - The Yahoo JavaScript and CSS Compressor
Group:          Development/Java

#		Source 0 is BSD, Source 1 is MPLv1.1 or GPLv2+
License:	BSD and (MPLv1.1 or GPLv2+)
URL:		https://yui.github.com/%{name}/
Source0:	https://github.com/yui/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
#		The yuicompressor uses the javascript parser from rhino.
#		However, it calls private functions not exported by the
#		rhino jar, so it can not use the jar provided by the
#		distribution. The upstream source unjars a bundled copy of
#		the rhino jar and builds using its precompiled class files.
#		This violates the no precompiled sources guidelines. Only
#		part of the rhino source tree is used by yuicompressor. The
#		upstream sources also contains modified versions of a few
#		of the rhino sources. These changes are restored by patch 0.
#		Source 1 is a slimmed down version of the rhino sources of
#		the same version that is bundled in the upstream sources.
#		Source 2 is the	script used to create Source 1.
Source1:	%{name}-rhino1_7R2.tar.gz
Source2:	%{name}-rhino.sh
#		Man page - copied from Debian
Source3:	%{name}.1
#		Pom file based on template from upstream:
#		https://github.com/yui/yuicompressor/raw/master/maven_central/template/pom.xml.template
Source4:	%{name}.pom
#		This patch restores yuicompressor's changes to the rhino
#		sources overwritten by Source 1
Patch0:		%{name}-rhino.patch
#		Remove references to prebuilt jars in build.xml
Patch1:		%{name}-remove-jars.patch
#		Fix test script - only test yuicompressor, not rhino
Patch2:		%{name}-tests.patch
#		Update source and target for JDK 17
Patch3:		%{name}-java-version.patch

BuildArch:	noarch
BuildRequires:	ant
BuildRequires:	javapackages-local
BuildRequires:	mvn(net.sf:jargs)
Provides:	bundled(rhino) = 1.7R2
# Explicit requires for javapackages-tools since yuicompressor script
# uses /usr/share/java-utils/java-functions
Requires:       javapackages-tools

%description
The YUI Compressor is a JavaScript compressor which, in addition to
removing comments and white-spaces, obfuscates local variables using
the smallest possible variable name. This obfuscation is safe, even
when using constructs such as 'eval' or 'with' (although the
compression is not optimal in those cases) Compared to jsmin, the
average savings is around 20%.

The YUI Compressor is also able to safely compress CSS files. The
decision on which compressor is being used is made on the file
extension (js or css).

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# Remove prebuilt jars
rm -rf lib/*
ln -s $(build-classpath jargs) lib

%build
%ant

%install
%mvn_artifact %{SOURCE4} build/%{name}-%{version}.jar
%mvn_install

%jpackage_script com.yahoo.platform.yui.compressor.Bootstrap "" "" jargs:%{name} %{name} true

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 %{SOURCE3} %{buildroot}%{_mandir}/man1

%check
tests/suite.sh

%files -f .mfiles
%{_bindir}/%{name}
%doc %{_mandir}/man1/%{name}.1*
%doc README.md doc/CHANGELOG
%license LICENSE.TXT LICENSE.txt



%changelog
* Tue Nov 22 2022 neoclust <neoclust> 2.4.8-6.mga9
+ Revision: 1910201
- Fix build against java 17
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Aug 22 2020 joequant <joequant> 2.4.8-4.mga8
+ Revision: 1618005
- remove javadoc due to errors
- compressor fails without javapackages-tools

* Wed Feb 12 2020 umeabot <umeabot> 2.4.8-3.mga8
+ Revision: 1508280
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 2.4.8-2.mga7
+ Revision: 1292274
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 daviddavid <daviddavid> 2.4.8-1.mga7
+ Revision: 1220712
- new version: 2.4.8 (sync partially with fc28)

* Fri Feb 05 2016 umeabot <umeabot> 2.4.6-6.mga6
+ Revision: 938572
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.4.6-5.mga5
+ Revision: 746108
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.6-4.mga5
+ Revision: 690847
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.4.6-3.mga4
+ Revision: 520873
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.4.6-2.mga3
+ Revision: 387634
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 20 2011 gil <gil> 2.4.6-1.mga2
+ Revision: 156780
- imported package yuicompressor

